Skip to main content

Authorizations


This section describes how to process an automatic fueling authorization with or without a car wash. The fuel and car wash line items are included in the capture of the authorization.

Supported processor: Fiserv RapidConnect

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{    "clientReferenceInformation": {        "code": "123456789010",        "reconciliationId": "000000050000775"    },    "pointOfSaleInformation": {        "terminalCategory": "AFD",        "laneNumber": "1234"    },    "processingInformation": {        "actionList": [            "TOKEN_CREATE"        ],        "actionTokenTypes": [            "customer",            "paymentInstrument",            "shippingAddress"        ],        "commerceIndicator": "INTERNET"    },    "orderInformation": {        "billTo": {            "country": "US",            "firstName": "John",            "lastName": "Smith",            "phoneNumber": "650-965-6111",            "address1": "600 Morgan Falls Road",            "postalCode": "94566-1234",            "locality": "Atlanta",            "administrativeArea": "MI",            "email": ""        },        "amountDetails": {            "totalAmount": "10",            "currency": "USD"        }    },    "merchantInformation": {        "categoryCode": 1234,        "merchantDescriptor": {            "country": "US",            "name": "Fast Gas",            "customerServicePhoneNumber": "1234567890",            "url": "www.example.com"        }    },    "paymentInformation": {        "card": {            "expirationYear": "2030",            "number": "4111111111111111",            "securityCode": "123",            "expirationMonth": "2",            "type": "001"        }    }}
{    "embeddedActions": {        "TOKEN_CREATE": {            "status": "SUCCESS"        }    },    "paymentInformation": {        "bin": "411111",        "issuer": "CONOTOXIA SP. Z O.O",        "binCountry": "PL",        "accountType": "Visa Classic",        "cardBrand": "VISA",        "cardType": "001"    },    "submitTimeUtc": "2021-12-15T15:03:52Z",    "processorInformation": {        "approvalCode": "OK1272",        "responseCodeSource": "4",        "networkTransactionId": "0014239537635196CN",        "responseCode": "000"    },    "_links": {        "capture": {            "href": "/pts/v2/payments/7418004527693232235535/captures",            "method": "POST"        },        "reversal": {            "href": "/pts/v2/payments/7418004527693232235535/reversals",            "method": "POST"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/7418004527693232235535"        }    },    "consumerAuthenticationResponse": {        "systemTraceAuditNumber": "500041",        "merchantNumber": "RCTST1000107085"    },    "orderInformation": {        "amountDetails": {            "authorizedAmount": "10.00"        }    },    "message": "Successful transaction.",    "clientReferenceInformation": {        "code": "123456789010"    },    "reconciliationId": "000000050000775",    "pointOfSaleInformation": {        "terminalId": "00000001"    },    "id": "7418004527693232235535",    "status": "AUTHORIZED",    "tokenInformation": {        "instrumentIdentifierNew": false,        "customer": {            "id": "302984DDBE8DFA5EE0634136CF0A945E"        },        "instrumentIdentifier": {            "id": "7018759999957811111",            "state": "ACTIVE"        },        "paymentInstrument": {            "id": "302984DDBE96FA5EE0634136CF0A945E"        },        "shippingAddress": {            "id": "302984DDBE99FA5EE0634136CF0A945E"        }    }}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.reconciliationID—
merchantInformation.categoryCode—
merchantInformation.merchantDescriptor.country—
merchantInformation.merchantDescriptor.customerServicePhoneNumber—
merchantInformation.merchantDescriptor.name—
merchantInformation.merchantDescriptor.url—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.totalAmount—
orderInformation.billTo.address1—
orderInformation.billTo.administrativeArea—
orderInformation.billTo.country—
orderInformation.billTo.email—
orderInformation.billTo.firstName—
orderInformation.billTo.lastName—
orderInformation.billTo.locality—
orderInformation.billTo.phoneNumber—
orderInformation.billTo.postalCode—
paymentInformation.card.expirationMonth—
paymentInformation.card.expirationYear—
paymentInformation.card.number—
paymentInformation.card.securityCode—
paymentInformation.card.type—
pointOfSaleInformation.laneNumber—
pointOfSaleInformation.terminalCategory—
processingInformation.actionListSet the value to TOKEN_CREATE.
processingInformation.actionTokenTypesSet to all of these values: customer, paymentInstrument, and shippingAddress.
processingInformation.commerceIndicatorSet the value to internet.

Last published: September 29, 2026